Package org.eclipse.lemminx.extensions.contentmodel.participants

## Class ContentModelTypeDefinitionParticipant

- java.lang.Object
- - org.eclipse.lemminx.services.extensions.AbstractTypeDefinitionParticipant
  - - org.eclipse.lemminx.extensions.contentmodel.participants.ContentModelTypeDefinitionParticipant

All Implemented Interfaces:
  `ITypeDefinitionParticipant`

    public class ContentModelTypeDefinitionParticipant
    extends AbstractTypeDefinitionParticipant

Extension to support XML type definition based on content model (XML Schema type definition, etc)

### Constructor Summary

Constructors
`ContentModelTypeDefinitionParticipant()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `doFindTypeDefinition​(ITypeDefinitionRequest request, List<org.eclipse.lsp4j.LocationLink> locations, org.eclipse.lsp4j.jsonrpc.CancelChecker cancelChecker)` Find the type definition
`protected boolean` `match​(DOMDocument document)` Returns true if the type definition support is applicable for the given document and false otherwise.

### Methods inherited from class org.eclipse.lemminx.services.extensions.AbstractTypeDefinitionParticipant

`findTypeDefinition`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ContentModelTypeDefinitionParticipant

    public ContentModelTypeDefinitionParticipant()

### Method Detail

#### match

    protected boolean match​(DOMDocument document)

Description copied from class: `AbstractTypeDefinitionParticipant`
Returns true if the type definition support is applicable for the given document and false otherwise.

Specified by:
  `match` in class `AbstractTypeDefinitionParticipant`
Returns:
  true if the type definition support is applicable for the given document and false otherwise.

#### doFindTypeDefinition

    protected void doFindTypeDefinition​(ITypeDefinitionRequest request,
                                        List<org.eclipse.lsp4j.LocationLink> locations,
                                        org.eclipse.lsp4j.jsonrpc.CancelChecker cancelChecker)

Description copied from class: `AbstractTypeDefinitionParticipant`
Find the type definition

Specified by:
  `doFindTypeDefinition` in class `AbstractTypeDefinitionParticipant`